> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Thirdweb Engine: Get Transaction Status

Check the status of a queued transaction on your Thirdweb Engine. Returns current status, transaction hash (once sent), and on-chain result (once mined). Ideal for: polling after a write-contract or send-transaction action, workflow conditions on tx status.

![Thirdweb Engine: Get Transaction Status logo](https://ai-icon.b3.fun/logo/thirdweb-engine)
Catalog action Integrations thirdweb-engine

Check the status of a queued transaction on your Thirdweb Engine. Returns current status, transaction hash (once sent), and on-chain result (once mined). Ideal for: polling after a write-contract or send-transaction action, workflow conditions on tx status.


## At a Glance

| Field | Value |
| --- | --- |
| Action ID | `thirdweb-engine-get-transaction-status` |
| Category | Integrations |
| Connector | `thirdweb-engine` |
| Requires gas | No |
| Funds movement | None declared |
| Tags | `smart-contract`, `integration`, `transaction`, `status`, `onchain` |

## Payload Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `queueId` | `string` | Yes | Engine queue ID returned from a write or send-transaction action |

## Result Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `queueId` | `string` | Yes | - |
| `status` | `string` | Yes | queued \| sent \| mined \| errored \| cancelled |
| `transactionHash` | `string \| null` | No | - |
| `onchainStatus` | `string \| null` | No | success \| reverted \(only when mined\) |
| `chainId` | `string \| null` | No | - |
| `fromAddress` | `string \| null` | No | - |
| `toAddress` | `string \| null` | No | - |
| `blockNumber` | `number \| null` | No | - |
| `errorMessage` | `string \| null` | No | - |
| `retryCount` | `number` | No | - |
| `queuedAt` | `string \| null` | No | - |
| `sentAt` | `string \| null` | No | - |
| `minedAt` | `string \| null` | No | - |

## Examples

**Workflow node**

```json
{
  "type": "thirdweb-engine-get-transaction-status",
  "payload": {
    "queueId": "00000000-0000-0000-0000-000000000000"
  },
  "children": [],
  "connector": {
    "type": "thirdweb-engine",
    "id": "conn_thirdweb_engine"
  }
}
```
  **Test with API**

```bash
curl -X POST "https://api.b3os.org/v1/actions/thirdweb-engine-get-transaction-status/test" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "inputs": {
    "queueId": "00000000-0000-0000-0000-000000000000"
  }
}'
```

**Use expressions for dynamic values**

Payload fields can use workflow expressions such as `{{$trigger.body.amount}}`, `{{$nodes.fetch.result.price}}`, and `{{$props.asset}}` when the value should come from a trigger, prior node, or reusable workflow prop.